
Redmine - Feature #7269

Sort versions by version numbers x.y.z{z} instead of alphabetically

2011-01-10 16:43 - Darni Jules

Status: Closed Start date: 2011-01-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Example:

1.0.1

1.0.10

1.0.2

1.0.3

Related issues:

Has duplicate Redmine - Defect #8653: Version name alphanumeric sorting Closed 2011-06-20

Is duplicate of Redmine - Feature #6881: Version numbering sort New 2010-11-13

History

#1 - 2011-01-10 17:13 - Bruno Medeiros

I'ts probably due to an alphabetical sort.

#2 - 2011-01-10 17:14 - Bruno Medeiros

You can assign dates to your versions, it's the first field used to sort.

#3 - 2011-01-10 17:20 - Darni Jules

I don't know the release date ahead of time, which is apparently what this date is used for (Due in X days). But I can use this as a workaround for the

sorting.

#4 - 2011-01-10 18:49 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from x.y.z{z} versions not sorted correctly in roadmap to Sort versions by version numbers x.y.z{z} instead of alphabetically

#5 - 2011-01-13 22:43 - James Byrne

Would it not be more useful to simply allow dynamic sorting both int settings/versions page and the Roadmap page?  That way people can choose

whichever column is meaningful to them, version number or due date.

I am not too keen on sorting the version by number if that means enforcing strict numerical version numbers.  We preface our versions with project

strings and sometimes add suffixes. For example:  P-01.001.0001.b12.  It is simple enough to adopt a placeholder pattern for version numbers

(##.###.####) such that alphabetic and numeric sorting amount to the same thing.

#6 - 2011-04-06 17:28 - Etienne Massip

- Category set to Roadmap

#7 - 2012-02-24 08:39 - Daniel Albuschat

Actually, since we don't use numbers in versions at all (bug instead some fancy names), I'd prefer a custom sorting.

I can see how this should be a rare case and numerical sorting should be the default, but I'd still think this should be considered.

#8 - 2013-03-25 13:50 - David Rahusen

+1

#9 - 2013-03-27 05:41 - Toshi MARUYAMA

- Status changed from New to Closed
- Resolution set to Duplicate

Duplicate with #6881.
